@ECHO OFF
CLS
GETCWD
IF ERRORLEVEL 1 GOTO EEXIT
echo Installing from "%DRIVE%:%CWD%"
IF EXIST C2DISK GOTO CHKRITES
echo Ŀ
ECHO  Please make the diskette containing this installation batch file           
ECHO  your current default drive.                                                
echo                                                                             
ECHO  Then type INSTALL to execute this procedure.                               
echo 
GOTO EEXIT
:CHKRITES
ISNETW
IF not ERRORLEVEL 1 GOTO TESTMV
ISSUPER
IF ERRORLEVEL 1 GOTO NOTSUPER
GOTO TESTMV
:NOTSUPER
echo Ŀ
ECHO  SUPERVISOR rights are required to install any of these programs            
ECHO  on a Novell NetWare network.                                               
echo                                                                             
ECHO  Please sign on as a SUPERVISOR equivalent, and then re-execute INSTALL.    
echo 
GOTO EEXIT
:TESTMV
%DRIVE%:%CWD%TESTMV >nul
IF ERRORLEVEL 1 GOTO ERRORMV
GOTO GOTMV
:ERRORMV
IF %MV%$==$ GOTO NEWMHS
echo Ŀ
ECHO  This installation procedure cannot continue.                               
echo 
ECHO Error locating MHS directory through your MV environment variable
Echo setting of: "%MV%"
echo 
INPUT SEL Press [Enter] to change this setting (or Escape to Exit)
IF ERRORLEVEL 1 GOTO EEXIT
set sel=
set mv=
:NEWMHS
echo Ŀ
ECHO  Press [Enter] if this is a new installation of Connect                    
ECHO                                                                            
ECHO  Or, if you are upgrading from MHS or a prior version of Connect,          
ECHO  please enter a path that points to the master volume (MV) below.           
echo 
ECHO 
INPUT MV
IF ERRORLEVEL 1 GOTO EEXIT
IF %MV%$==$ GOTO NEWMHS2
GOTO TESTMV
:NEWMHS2
SET MV=
cls
c2setup
if [%mv%]==[] goto ERRORMV
if errorlevel 1 pause
goto TESTMV
pause
IF %MV%$==$ GOTO TESTMV
SET MAKEMHS=%MV%
GOTO TESTMV
:GOTMV
:MENU
cls
echo Ŀ
echo           Installation for Connect High Performance Message Router         
echo                 (c) Copyright 1994 by Infinite Technologies                 
echo 
echo 
IF %DRIVE%$==$ GOTO SETCWD
%DRIVE%:
:SETCWD
IF %CWD%$==$ GOTO NOCWD
CD %CWD%.
:NOCWD
echo Ŀ
ECHO  Please select the product you wish to install:                             
ECHO                                                                            
ECHO    1. Connect                                                              
ECHO    2. Directory Assistant                                                   
ECHO   3. Quit                                                                  
ECHO                                                                            
if not exist %DRIVE%:%CWD%READ.ME goto skipnote
ECHO  NOTE: Please also see the READ.ME file on this diskette for any additional 
ECHO        or last minute product information.                                  
:skipnote
echo 
echo 
INPUT SEL Enter Selection (or Escape to Exit)
IF ERRORLEVEL 1 GOTO EXIT
IF %SEL%$==1$ GOTO SEL1
IF %SEL%$==2$ GOTO SEL2
IF %SEL%$==3$ GOTO EXIT
ECHO 
GOTO MENU
:SEL1
CLS
echo Ŀ
ECHO  Installing Connect                                                        
Echo 
ECHO 
if exist %MV%MHS\EXE\MHS.EXE goto DOCFG
if exist %MV%MHS\EXE\C2ROUTER.EXE goto DOCFG
MD %MV%MHS\EXE
:DOCFG
if exist %MV%MHS\MAIL\C2CFG\CONNECT2.INI goto SKIPCFG
MD %MV%MHS\MAIL\C2CFG
:SKIPCFG
%DRIVE%:%CWD%EXE -n %MV%MHS\EXE
copy %DRIVE%:%CWD%C2SETUP.* %MV%MHS\EXE
%DRIVE%:%CWD%CFG -n %MV%MHS\MAIL\C2CFG
echo Ŀ
ECHO  Configure Connect                                                         
Echo 
ECHO 
INPUT SEL Press [Enter] to configure Connect or Escape to skip.
IF ERRORLEVEL 1 GOTO SKIPSETUP
set sel=
IF EXIST %MV%MHS\EXE\C2SETUP.EXE %MV%MHS\EXE\C2SETUP.EXE
:SKIPSETUP
IF EXIST %MV%MHS\EXE\C2INST.EXE %MV%MHS\EXE\C2INST.EXE
IF EXIST %MV%MHS\EXE\C230DAY.EXE %MV%MHS\EXE\C230DAY.EXE
ECHO Connect has been installed!
ECHO 
PAUSE
CLS
GOTO MENU
:SEL2
CLS
ECHO Installing Directory Assistant
ECHO 
ECHO Please edit the directory path that you wish to install
ECHO Directory Assistant into and press [Enter] when done, or
ECHO just press [Enter] to use the default "%MV%MHS\EXE"
ECHO 
GETPATH %MV%MHS\EXE
IF ERRORLEVEL 1 GOTO MENU
ECHO 
ECHO 
%DRIVE%:%CWD%EXDAEXE -n
EXDA -I
ECHO 
ECHO Directory Assistant is now installed.
ECHO 
PAUSE
GOTO MENU
:NOMHS
CLS
ECHO This product requires that Connect be installed.
ECHO 
PAUSE
GOTO MENU
:NONET
CLS
ECHO This product requires Novell NetWare.
ECHO 
ECHO Contact Infinite Technologies for information on non-NetWare versions
ECHO of this product.
ECHO 
PAUSE
GOTO MENU
:EXPIRED
ECHO 
ECHO Trial period is expired.
ECHO 
ECHO Contact Infinite Technologies at 410-363-1097 for more information.
:EEXIT
pause
:EXIT
IF %DRIVE%$==$ GOTO SETCWD2
%DRIVE%:
:SETCWD2
IF %CWD%$==$ GOTO NOCWD2
CD %CWD%.
:NOCWD2
SET DRIVE=
SET CWD=
SET SEL=
SET MAKEMHS=
CLS
echo                      
echo                 
echo                      
echo                 
echo                   
echo                                   
echo                       
echo                        
echo                         
echo 
echo            T   E   C   H   N   O   L   O   G   I   E   S
echo 
echo                    11433 Cronridge Drive
echo                    Owings Mills, MD 21117
echo                    Phone: +1-410-363-1097
echo                      FAX: +1-410-363-3779
echo             Hub INFINITE: +1-410-363-1210
echo 
echo                      MHS: Support @ Infinite
echo                 Internet: Support@Infinite.ihub.com
echo               CompuServe: MHS:Support @ Infinite
echo                          or GO INFINITE (NOVVEN Section 4)
echo  
